Package org.kie.internal.builder.conf

## Class AccumulateFunctionOption

- java.lang.Object
- - org.kie.internal.builder.conf.AccumulateFunctionOption

- All Implemented Interfaces:
    `java.io.Serializable`, `org.kie.api.conf.MultiValueOption`, `org.kie.api.conf.Option`, `KnowledgeBuilderOption`, `MultiValueKieBuilderOption`, `MultiValueRuleBuilderOption`

      public class AccumulateFunctionOption
      extends java.lang.Object
      implements MultiValueRuleBuilderOption

  A class for the accumulate function configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.kie.api.conf.OptionKey<AccumulateFunctionOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The prefix for the property name for accumulate functions

    - ### Fields inherited from interface org.kie.internal.builder.conf.MultiValueRuleBuilderOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `static AccumulateFunctionOption` | `get​(java.lang.String name, org.kie.api.runtime.rule.AccumulateFunction function)` | This is a factory method for this AccumulateFunction configuration.
    `org.kie.api.runtime.rule.AccumulateFunction` | `getFunction()` | Returns the accumulate function instance
    `java.lang.String` | `getName()` | Returns the name of the function configured
    `java.lang.String` | `getPropertyName()`
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.builder.conf.MultiValueRuleBuilderOption

      `type`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The prefix for the property name for accumulate functions
      See Also:
        Constant Field Values

    - #### KEY

          public static org.kie.api.conf.OptionKey<AccumulateFunctionOption> KEY

  - ### Method Detail

    - #### get

          public static AccumulateFunctionOption get​(java.lang.String name,
                                                     org.kie.api.runtime.rule.AccumulateFunction function)

      This is a factory method for this AccumulateFunction configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `name` - the name of the function to be configured
      Returns:
        the actual type safe accumulate function configuration.

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getName

          public java.lang.String getName()

      Returns the name of the function configured
      Returns:

    - #### getFunction

          public org.kie.api.runtime.rule.AccumulateFunction getFunction()

      Returns the accumulate function instance
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`